module.exports = function(grunt) {
  grunt.initConfig({
    watch: {
          js: {
            files: ["js/demo01.js", "js/demo02.js", "qunit-snippets/*"],
            tasks: ['uglify', 'qunit'],
            options: {
                 livereload: true,
               },
          },
          css: {
             files: ["css/demo01.css", "css/demo02.css"],
             tasks: ['concat', 'cssmin', 'clean'],
             options: {
                  livereload: true,
              },
          },
          html: {
            files: ["*.html"],
            options: {
              livereload: true
            }      
          }
      },
      concat: {
        options: {
          separator: "\n\n", 
        },
        css: {
          src: ["css/demo01.css", "css/demo02.css"], 
          dest: "css/demo.tmp.css"
        }
      },
      cssmin: {
        add_banner: {
           options: {
             banner: "/* Última actualización: <%= grunt.template.today('yyyy-mm-dd hh:mm:ss') %> */"
           },
          files: {
            'css/demo.min.css': ['css/demo.tmp.css']
          }
        }
      },
      uglify: {
        options: {
          compress: true, 
          mangle: false,
          beautify: false,
          banner: "/* Última actualización: <%= grunt.template.today('yyyy-mm-dd hh:mm:ss') %> */",
          sourceMap: true // Eliminar si no se necesitan source maps
        },
        js: {
          src: ["js/demo01.js", "js/demo02.js"],
          dest: "js/app.min.js"
        }          
      },
      clean: ["css/demo.tmp.css"],
      qunit: {
         prueba: ['qunit-snippets/*.html']
      }
  });
  
    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-contrib-concat');  
    grunt.loadNpmTasks('grunt-contrib-cssmin');  
    grunt.loadNpmTasks('grunt-contrib-clean');
    grunt.loadNpmTasks('grunt-contrib-uglify');        
    grunt.loadNpmTasks('grunt-contrib-qunit');
    
    
    grunt.registerTask("default", ['watch']);
    grunt.registerTask("estilos", ["concat", "cssmin", "clean"]);
  
}; 